local text_original = LocalizationManager.text
local testAllStrings = false  --Set to true to show all string ID's, false to return to normal.
function LocalizationManager:text(string_id, ...)

--Gun
return string_id == "bm_w_colt_1911"					and "Colt M1911A1"
or string_id == "bm_w_x_colt_1911"						and "Akimbo M1911A1's"

--Grips
or string_id == "bm_wp_1911_g_ergo"						and "Hogue 1911 Over-moulded Grip"
or string_id == "bm_wp_1911_g_bling"					and "Smooth Walnut Grips"
or string_id == "bm_wp_1911_g_engraved"					and "Ivory Grips"
	
--Magazine
or string_id == "bm_wp_1911_m_extended"					and "Springfield 12rnd. Magazine"

--Slides
or string_id == "bm_wp_1911_b_vented"					and "Blued M1911A1 Slide"
or string_id == "bm_wp_1911_b_long"						and "Long M1911A1 Slide"

or testAllStrings == true and string_id
or text_original(self, string_id, ...)
end